Est-ce qu'il y a un moyen de tester un baréme ?

Pour toutes mes questions (simple ou multiple), voici ce que je compte mettre :

\bareme{formula=( 0.5*NBC - 0.5*NMC),v=0 ,p=-0}

L'idée est que si les bonnes réponses sont cochés ils gagnent 0,5pt, quoigu'ils cochent de faux -0,5point et si
ils ont une note finale négative a la question, celle-ci est ramenée a 0. Est-ce que c'est bon ??

Je ne sais pas comment tester sans faire de copies.

Sinon j'ai une autre question, je suis entrain de faire un QCM dont les réponses seront sur plusieurs pages. Je
voudrais que sur chaque page supplémentaire ils réécrive leur identifiant (au cas ou des copies se

mélangent. Comment puis-je ajouter ca ?

Merci pour votre aide,

History

05/05/2022 02:55 pm - Frédéric Bréal

> Est-ce qu'il y a un moyen de tester un baréme ?

Il faut faire une correction manuelle avec l'interface graphique.

> Je voudrais que sur chaque page supplémentaire ils réécrive leur identifiant

Sous forme de codage ou simplement en chiffres ?

05/05/2022 02:59 pm - Corinne Lautier

Frédéric Bréal wrote:

> > Est-ce qu'il y a un moyen de tester un baréeme ?

> |l faut faire une correction manuelle avec l'interface graphique.

> > Je voudrais que sur chaque page supplémentaire ils réécrive leur identifiant

> Sous forme de codage ou simplement en chiffres ?

Je voudrais juste une box pour qu'ils ajoutent a la main leur identifiant. Histoire que toutes les pages réponses soient identifiées pour un étudiant.

05/05/2022 04:06 pm - Frédéric Bréal
D'apres https://tex.stackexchange.com/questions/573329/so-what-is-the-everypage-package-replacement

vous ajoutez dans le préambule

<pre>
\AddToHook{shipout/background}{\put (1in,-1.2in){\fbox{\begin{minipage}{.5\linewidth}Code\end{minipage}}}}

</pre>

Il faudrait faire un test pour que cela n'apparaisst pas a la page 1.

05/05/2022 04:12 pm - Frédéric Bréal

<pre>

\usepackagefifthen}

\AddToHook{shipout/background}{

\ifthenelse{\thepage =1}{\relax}{\put (1in,-1.2in){\fbox{\begin{minipage}{.5\linewidth}Code\end{minipage}}}}

07/05/2025 1/3



}
</pre>

Ceci semble fonctionner.

05/05/2022 04:31 pm - Corinne Lautier
Frédéric Bréal wrote:

> Ceci semble fonctionner.

Ca écrit aussi sur la premiére page de la feuille de réponse, mais je vais travailler la mise en page pour que ¢a fonctionne bien.
Ca n'ecrit pas sur la partie question donc c'est OK, je vais arriver a m'en sortir grace a votre aide.

Le package :

\usepackage{everypage}

fait la méme chose.

Merci beaucoup

05/05/2022 04:52 pm - Frédéric Breéal

> \usepackage{everypage}

J'ai cru comprendre qu'il est obsoléte.

> la premiére page de la feuille de réponse

Je ne savais pas que vous aviez choisi I'option ensemble.

05/05/2022 05:51 pm - Corinne Lautier

Frédéric Bréal wrote:

> > \usepackage{everypage}

> J'ai cru comprendre qu'il est obsoléte.

pour l'instant ¢a fonctionne pareil, peut-étre que dans une prochaine version cela disparaitra.

> > la premiére page de la feuille de réponse

> Je ne savais pas que vous aviez choisi I'option ensemble.

Oui oui j'ai pris I'option ensemble. J'ai modifié la ligne de commande comme suit pour que sur les pages suivantes il n'y ait pas de chevauchement des
questions des réponses avec cette case a compléter.

\AddToHook{shipout/background}{

\ifthenelse{\thepage =1}{\relax}{\put (1in,-1.25in){\fbox{\begin{minipage}{0.6\linewidth}N °d'anonymat : \vspace*{.15cm}\end{minipage}}}}

Merci pour votre aide

05/05/2022 07:10 pm - Alexis Bienveniie

- Tracker changed from Bug to Support

05/06/2022 09:34 am - Frédéric Breéal
- File ensemble.tex added

Une simple modification pour que le rappel ne s'affiche qu'a partir page 2 de la feuille de réponses.

05/06/2022 12:09 pm - Alexis Bienveniie
> Je ne sais pas comment tester sans faire de copies.
Un petit outil est en train d'arriver dans la version de développement pour cet usage : menu _Aide/Test scoring_ (ou _Test de baréme_ quand ce sera
traduit).

05/06/2022 12:38 pm - Corinne Lautier
Frédéric Bréal wrote:
> Une simple modification pour que le rappel ne s'affiche qu'a partir page 2 de la feuille de réponses

Super ¢a fonctionne parfaitement !

05/06/2022 12:40 pm - Corinne Lautier

Alexis Bienvenue wrote:

> > Je ne sais pas comment tester sans faire de copies.

> Un petit outil est en train d'arriver dans la version de développement pour cet usage : menu _Aide/Test scoring_ (ou _Test de baréme_ quand ce sera
traduit).

Je patiente quelques jours, ou ce sera dans quelques mois ?

En tout cas ce sera bien de tester nos formules.

L'affichage des points par question est faisable ou il faut qu'on I'écrive en début ou fin de question ?

05/06/2022 01:18 pm - Alexis Bienveniie

> Je patiente quelques jours, ou ce sera dans quelques mois ?

L'outil est déja utilisable dans la version de développement, mais selon votre environnement et votre méthode d'installation ce sera facile ou non
d'utiliser cette version.

> L'affichage des points par question est faisable ou il faut qu'on I'écrive en début ou fin de question ?

Il faut le faire soi-méme

05/06/2022 01:37 pm - Corinne Lautier

Alexis BienvenUe wrote:

> > Je patiente quelques jours, ou ce sera dans quelques mois ?

> L'outil est déja utilisable dans la version de développement, mais selon votre environnement et votre méthode d'installation ce sera facile ou non
d'utiliser cette version.

Je regarderai ¢a ce week-end alors... comme je suis sous Mac je pense que cela ne va pas étre ismple :)
> > L'affichage des points par question est faisable ou il faut qu'on I'écrive en début ou fin de question ?
> |l faut le faire soi-méme

Fort bien, je ferai ma petite page d'écriture alors

Merci beaucoup pour votre aide et votre patience
